Loading...
Searching...
No Matches
BALL::Object Class Reference
Foundation Classes » Concepts » Miscellaneous

`#include <BALL/CONCEPT/object.h>`

Inheritance diagram for BALL::Object:

## Public Member Functions

Construction and Destruction
| Object ()
| Default constructor.
| Object (const Object &object)
| Copy constructor.
virtual | ~Object ()
| Destructor.
virtual void | clear ()
| Clear function of the OCI, doing nothing here.
Assignment
const Object & | operator= (const Object &)
Comparison operators
bool | operator== (const Object &object) const
bool | operator!= (const Object &object) const
bool | operator< (const Object &object) const
bool | operator<= (const Object &object) const
bool | operator>= (const Object &object) const
bool | operator> (const Object &object) const
int | compare (const Object &object) const
Public Member Functions inherited from BALL::AutoDeletable
virtual | ~AutoDeletable ()
void * | operator new (size_t size)
void | operator delete (void *ptr)
void * | operator new (size_t size, void *ptr)
void | operator delete (void *ptr, void *)
bool | isAutoDeletable () const
void | setAutoDeletable (bool enable)

## Debugging and Diagnostics

virtual bool | isValid () const
virtual void | dump (::std::ostream &s=std::cout, Size depth=0) const

## Handle Management

Handle | getHandle () const
static Handle | getNextHandle ()
static Handle | getNewHandle ()

## Additional Inherited Members

static void | clearLastPtr ()
| AutoDeletable ()
| AutoDeletable (const AutoDeletable &auto_deletable, bool deep=false)

## Detailed Description

Generic object class. This class provides unique handles for every object that is an instance of a derived class of object. Together with the BALL object manager this class also provides a double linked list of all objects.

Definition at line 34 of file object.h.

## Constructor & Destructor Documentation

## Object() [1/2]

BALL::Object::Object | ( |  | ) |

Default constructor.

## Object() [2/2]

BALL::Object::Object | ( | const Object & | object | ) |

Copy constructor.

## ~Object()

virtual BALL::Object::~Object | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## clear()

virtual void BALL::Object::clear | ( |  | ) |

virtual

Clear function of the OCI, doing nothing here.

Reimplemented in BALL::Atom, BALL::AtomContainer, BALL::Bond, BALL::Composite, BALL::NamedProperty, BALL::NucleicAcid, BALL::Nucleotide, BALL::PDBAtom, BALL::PDBInfo, BALL::PDBRecords, BALL::Protein, BALL::Residue, BALL::SecondaryStructure, BALL::TVector2< T >, BALL::TVector2< float >, and BALL::VIEW::RepresentationManager.

## compare()

int BALL::Object::compare | ( | const Object & | object | ) | const

Compare the handle of this object with the handle of another.

Parameters

  object | an Object

Returns
  0, if both objects are equal, -1 if object's handle is greater and 1 if this's handle is greater.

## dump()

virtual void BALL::Object::dump | ( | ::std::ostream & | s = std::cout,
|  | Size | depth = 0 ) const

virtual

## getHandle()

Handle BALL::Object::getHandle | ( |  | ) | const

Return the global handle of this object.

Returns
  the handle of this object

## getNewHandle()

Handle BALL::Object::getNewHandle | ( |  | ) |

static

Return the next available handle and increase the global handle counter.

Returns
  the next available handle

## getNextHandle()

Handle BALL::Object::getNextHandle | ( |  | ) |

static

Return the next available handle without changing the global handle counter.

Returns
  the next available handle

## isValid()

virtual bool BALL::Object::isValid | ( |  | ) | const

virtual

Reimplemented in BALL::Atom, BALL::AtomContainer, BALL::Bond, BALL::Composite, BALL::NucleicAcid, BALL::Nucleotide, BALL::Protein, BALL::Residue, BALL::SecondaryStructure, BALL::TVector2< T >, and BALL::TVector2< float >.

## operator!=()

bool BALL::Object::operator!= | ( | const Object & | object | ) | const

Inequality operator. This operator checks Object features only, i. e. the handle.

Parameters

  object | an Object

Returns
  true, if object and this are not the same object, false ow.

## operator<()

bool BALL::Object::operator< | ( | const Object & | object | ) | const

Less than operator. This method checks whether the handle of this object is less than the handle of object

Parameters

  object | an Object

Returns
  true, if the handle of this is less than the handle of object

## operator<=()

bool BALL::Object::operator<= | ( | const Object & | object | ) | const

Less than or equal operator. This method checks whether the handle of this object is less than or equal to the handle of object

Parameters

  object | an Object

Returns
  true, if the handle of this is less than or equal to the handle of object

## operator=()

const Object & BALL::Object::operator= | ( | const Object & |  | ) |

Assignment operator. This method does not assign anything! Implemented just for the OCI.

Parameters

  object | an object

Returns
  this object

## operator==()

bool BALL::Object::operator== | ( | const Object & | object | ) | const

Equality operator. This operator checks Object features only, i. e. the handle.

Parameters

  object | an Object

Returns
  true, if object and this are the same, false ow.

## operator>()

bool BALL::Object::operator> | ( | const Object & | object | ) | const

Greater than operator. This method checks whether the handle of this object is greater than the handle of object

Parameters

  object | an Object

Returns
  true, if the handle of this is greater than the handle of object

## operator>=()

bool BALL::Object::operator>= | ( | const Object & | object | ) | const

Greater than or equal operator. This method checks whether the handle of this object is greater than or equal to the handle of object

Parameters

  object | an Object

Returns
  true, if the handle of this is greater than or equal to the handle of object